uses coolkey;
var
 KT   : PKeyTable;
 i    : EScanCode;
 l    : longint;
 TickB: longint;
 Tick : longint absolute $0040:$006C;
begin
 KT := InitKeyboard;

 aSSIGN(oUTpUT,'cOOL.TXT');
 rEWRITE(OUTpUT);
 TickB:=Tick;
 while not KT^[SC_ESCAPE] do
 begin
  for l:=0 to 2000000 do;
  for i := SC_BUFFULL to SC_FF do
   if KT^[i] then Write(SC_NAME[i],' ');
  WritelN((Tick-TickB)/18.2:0:3);{(#13'                                                        '#13);}
 end;
 cLOSE(oUTPUT);
 CloseKeyboard;
end.